##
## settings
##
prefix=@prefix@
exec_prefix=@exec_prefix@
sbindir=@sbindir@
bindir=@bindir@
mandir=@mandir@
sysconfdir=@sysconfdir@

##
## autoconf
##
CPP=@CPP@
CXXCPP=@CXXCPP@
CC=@CC@
CXX=@CXX@
DEFS=-D_USAGI -DINET6 @DEFS@
CFLAGS=@CFLAGS@ $(DEFS) -D_PATH_NDP=\"$(_PATH_NDP)\"
CXXFLAGS=@CXXFLAGS@ $(DEFS)

OBJS=libnetlink.o ll_map.o ll_addr.o utils.o ndp.o
LIBOBJS=@LIBOBJS@
LDFLASG=@LDFLAGS@
LIBS=@LIBS@

_PATH_NDP=$(sbindir)/ndp

INSTALL=@INSTALL@
INSTALL_PROG=@INSTALL_PROGRAM@
INSTALL_DATA=@INSTALL_DATA@
INSTALL_DIR=@INSTALL_DIR@

##
## targets
##
TARGET = ndp

all:	$(TARGET)

clean:
	-rm -f *.o $(TARGET)
distclean: clean
	-rm -f config.*
	-rm -f Makefile

install: inetd
	$(INSTALL_DIR) $(sbindir)
	$(INSTALL_PROG) -s ndp $(sbindir)

##
## dependencies
##
ndp: $(OBJS)
	$(CC) $(LDFLAGS) $^ $(LIBS) -o $@

$(OBJS): ip_common.h libnetlink.h ll_map.h rt_names.h rtm_map.h \
         utils.h
